#include <stdio.h>

int main() {
    int N,K;
    int Niz[20000];
    int i=0,m;
    char Kraj;
   
    scanf("%d %d", &N, &K);
    
   do {
        scanf("%d%c", &Niz[i], &Kraj);
        i++;
    } while (Kraj != '\0' && i < N);
    
    for(i=0;i<N;i++){
        if(Niz[i]==K){
            m=i+1;
        }
    }
    if(m>=N){
        m=0;
    }else{
    
    }
    printf("%d", Niz[m]);
   
    return 0;
}